Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class AuthenticationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.security.AuthenticationException

Deprecated. Deprecated in WebLogic Server 7.0.

public final class AuthenticationException
extends java.lang.Exception

Signals an authentication error. For example, this exception is thrown by Certificate.verify().

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`AuthenticationException()` Deprecated. Constructs an AuthenticationException with no detail message.
`AuthenticationException(java.lang.String s)` Deprecated. Constructs an AuthenticationException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException()

  Deprecated.
  Constructs an AuthenticationException with no detail message. A detail message is a String that describes this particular exception.

### AuthenticationException

    public AuthenticationException(java.lang.String s)

  Deprecated.
  Constructs an AuthenticationException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD